<?php

use Insallah\Db, Insallah\TournamentModel;

$db = new Db();
$members = [];
$user = $db::getRow('select id, room, level, login from users where login = ?', [$_COOKIE['login']]);
$tournamentStartTime = $db::getValue('select start_time from tournaments where tid = ?', [$user['level']]);
foreach (TournamentModel::getFreeFighters($user['level']) as $member) {
    $members[] = TournamentModel::uidToLogin($member);
}

?>

<strong>  <?= $user['level'] ?> .</strong><br>

<?php
if (empty($members) || empty($tournamentStartTime)): ?>
     - .  - .    ? -,      !
    <?php
    exit(); endif; ?>
<?php
if ((int)$tournamentStartTime === -1): ?>
     !
<?php
else: ?>
      : <?= date('G:i', $tournamentStartTime) ?>
    <?php
    if (date('j', time()) !== date('j', $tournamentStartTime)): ?>
        ( !)
    <?php
    endif; ?>
<?php
endif; ?>

<br>
<?= $user['login'] ?><br>
: <?= implode(', ', $members) ?>


